org.springframework.cache.interceptor

## Class CacheAspectSupport.CacheOperationContext

- java.lang.Object
- - org.springframework.cache.interceptor.CacheAspectSupport.CacheOperationContext

- Enclosing class:
    CacheAspectSupport

      protected class CacheAspectSupport.CacheOperationContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheAspectSupport.CacheOperationContext(CacheOperation operation, Method method, Object[] args, Object target, Class<?> targetClass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `canPutToCache(Object value)`
    `protected Object` | `generateKey()` Computes the key for the given caching operation.
    `protected Collection<Cache>` | `getCaches()`
    `protected boolean` | `isConditionPassing()`
    `protected boolean` | `isConditionPassing(Object result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheAspectSupport.CacheOperationContext

          public CacheAspectSupport.CacheOperationContext(CacheOperation operation,
                                                  Method method,
                                                  Object[] args,
                                                  Object target,
                                                  Class<?> targetClass)

  - ### Method Detail

    - #### isConditionPassing

          protected boolean isConditionPassing()

    - #### isConditionPassing

          protected boolean isConditionPassing(Object result)

    - #### canPutToCache

          protected boolean canPutToCache(Object value)

    - #### generateKey

          protected Object generateKey()

      Computes the key for the given caching operation.
      Returns:
        generated key (null if none can be generated)

    - #### getCaches

          protected Collection<Cache> getCaches()